
QGIS Application - Bug report #17264

Segmentation fault with custom form

2017-10-10 12:55 AM - Frédéric CLOITRE

Status: Closed

Priority: Normal

Assignee:

Category: Forms

Affected QGIS version:2.18.13 Regression?: No

Operating System: Linux 16.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 25162

Description

Hi,

I noticed a segmentation fault that makes QGIS crash while opening a custom form after clicking on the geographic object. Tested on 2

computers with ubuntu 16.04 bases distro (one with xubuntu, second one with linux mint) with QGIS 2.14.7 and QGIS 2.18.13 (last LTR)

. Tested without any problem on Debian Jessie or even Windows 7.

At first, i thought it was due to QgsRelationEditorWidget but removing them from my custom form did'nt solve the crash.

Related issues:

Duplicates QGIS Application - Bug report # 8760: Custom Form from .ui File cr... Closed 2013-10-03

History

#1 - 2017-10-10 09:26 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #8760 

If not please reopen.

#2 - 2017-10-10 10:12 AM - Jürgen Fischer

- Duplicates Bug report #8760: Custom Form from .ui File crashes QGIS on Ubuntu added

Files

UI_zone_polygone.ui 7.2 KB 2017-10-09 Frédéric CLOITRE

modele_lpoauratech_general.qgs 469 KB 2017-10-09 Frédéric CLOITRE
